Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Activate a thing

Prev Next
Post
/inventory/things/activate

Activates a Thing under a specific location by using a connection token.
Things and connection-tokens must be registered before using this API.

Required permissions: WRITE_THING_ACTIVATION.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Body parameters

The information identifying the Thing being activated.

object
locationId
string

The identifier of the target location.

serialNumber
string

The serial-number of the Thing to activate.

connectionToken
string

The connection-token used by the Thing to communicate with the cloud.

Responses
200

Successfully registered.

400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
409

The provided connection-tokens are incomplete or duplicated.

429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error